%define name	qdvdauthor
%define version	0.0.7
%define release 2mdk

Name: 	 	%{name}
Summary: 	GUI to create DVD menus and images from media files
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://qdvdauthor.sourceforge.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig ImageMagick-devel qt3-devel libxine-devel
Requires:	dvdauthor mjpegtools dvd-slideshow ImageMagick sox

%description
'Q' DVD-Author is a GUI frontent for dvdauthor and related tools. The goal is
to provide an easy-to-use, yet powerful and complete interface to generate DVD
menus, slideshows, and videos to burn on a DVD under Linux.

%prep
%setup -q
perl -p -i -e 's/usr\/local/usr/g' %name/qdvdauthor.cpp
perl -p -i -e 's/usr\/local/usr/g' %name/dialogsetup.ui

%build
export PATH=$PATH:/usr/lib/qt3/bin
./configure --with-image-magick-lib --with-qt-lib=qt-mt --qt-dir=%_libdir/qt3
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/{pixmaps,applications}
install -m 755 bin/%name $RPM_BUILD_ROOT/%_bindir/
install -m 644 %name.png $RPM_BUILD_ROOT/%_datadir/pixmaps/
install -m 644 %name.desktop $RPM_BUILD_ROOT/%_datadir/applications/

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="QDVDAuthor" longtitle="DVD creator" section="Multimedia/Video"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 %name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 %name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 %name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README TODO CHANGELOG test/*.xml doc/*
%{_bindir}/%name
%{_datadir}/pixmaps/%name.png
%{_datadir}/applications/%name.desktop
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Fri Sep 03 2004 Michael Scherer <misc@mandrake.org> 0.0.7-2mdk 
- rebuild for new ImageMagick

* Thu Jul 8 2004 Austin Acton <austin@mandrake.org> 0.0.7-1mdk
- 0.0.7

* Thu Jul 01 2004 Michael Scherer <misc@mandrake.org> 0.0.6-2mdk 
- rebuild for new ImageMagick

* Sat May 15 2004 Austin Acton <austin@mandrake.org> 0.0.6-1mdk
- 0.0.6
- buildrequires qt3-devel and libxine-devel
- new configure system
- menu entry for qslideshow

* Sat Feb 7 2004 Austin Acton <austin@mandrake.org> 0.0.2-2mdk
- point to /usr/bin not /usr/local/bin for helper apps

* Sat Feb 7 2004 Austin Acton <austin@mandrake.org> 0.0.2-1mdk
- initial package
